Bug 9119 - Update request: kernel-tmb-3.4.32-2.mga2
: Update request: kernel-tmb-3.4.32-2.mga2
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: High Severity: critical
: ---
Assigned To: QA Team
:
:
: MGA2-64-OK MGA2-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-02-19 10:29 CET by Thomas Backlund
Modified: 2013-02-22 00:48 CET (History)
5 users (show)

See Also:
Source RPM: kernel-tmb-3.4.32-2.mga2.src.rpm
CVE:
Status comment:


Attachments
dmesg for kernel-tmb-laptop-3.4.32-2 (38.88 KB, application/octet-stream)
2013-02-19 22:00 CET, Bill Wilkinson
Details
dmesg for kernel-tmb-server-3.4.32-2 (38.91 KB, application/octet-stream)
2013-02-19 22:00 CET, Bill Wilkinson
Details

Description Thomas Backlund 2013-02-19 10:29:34 CET
There is now a new kernel-tmb to validate...

Advisory:
---------
This kernel-tmb update provides upstream 3.4.32 kernel and resolves the
following security issues:

The xen_failsafe_callback function in Xen for the Linux kernel 2.6.23 and
other versions, when running a 32-bit PVOPS guest, allows local users to
cause a denial of service (guest crash) by triggering an iret fault,
leading to use of an incorrect stack pointer and stack corruption.
(CVE-2013-0190 / XSA-40)

Linux kernel when returning from an iret assumes that %ds segment is safe
and uses it to reference various per-cpu related fields. Unfortunately
the user can modify the LDT and provide a NULL one. Whenever an iret is
called we end up in xen_iret and try to use the %ds segment and cause an
general protection fault.
Malicious or buggy unprivileged user space can cause the guest kernel to
crash, or permit a privilege escalation within the guest, or operate
erroneously. (CVE-2013-0228 / XSA-42)

A flaw was found in the way __skb_recv_datagram() processed skbs with no
payload when MSG_PEEK was requested. An unprivileged local user could use
this flaw to cause local denial of service. (CVE-2013-0290)

A race conditon in ptrace can lead to kernel stack corruption and arbitrary
kernel-mode code execution. (CVE-2013-0871)

A flaw was found in how printk manages buffers when calling log_prefix
function from  call_console_drivers creating a buffer overflow.
An unprivileged local user could use this flaw to cause local denial of
service. (CVE pending)


Other fixes in this release:
- fixes HP Compaq 6715s freezing on 3.4 series kernels (mga #9079)
- adds Intel Lynx Point-LP, Haswell and Wellsburg support to ata/ahci,
  smbus, watchdog and sound.
- adds sound support for Creative SoundCore3D


References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0190
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0228
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0290
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0871
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.25
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.26
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.27
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.28
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.29
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.30
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.31
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.32
https://bugs.mageia.org/show_bug.cgi?id=9079



SRPMS:
------
kernel-tmb-3.4.32-2.mga2.src.rpm


i586:
-----
kernel-tmb-desktop-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-desktop586-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-desktop586-devel-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-desktop586-devel-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-desktop586-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-desktop-devel-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-desktop-devel-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-desktop-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-laptop-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-laptop-devel-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-laptop-devel-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-laptop-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-server-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-server-devel-3.4.32-2.mga2-1-1.mga2.i586.rpm
kernel-tmb-server-devel-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-server-latest-3.4.32-2.mga2.i586.rpm
kernel-tmb-source-3.4.32-2.mga2-1-1.mga2.noarch.rpm
kernel-tmb-source-latest-3.4.32-2.mga2.noarch.rpm


x86_64:
------
kernel-tmb-desktop-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-desktop-devel-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-desktop-devel-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-desktop-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-laptop-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-laptop-devel-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-laptop-devel-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-laptop-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-server-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-server-devel-3.4.32-2.mga2-1-1.mga2.x86_64.rpm
kernel-tmb-server-devel-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-server-latest-3.4.32-2.mga2.x86_64.rpm
kernel-tmb-source-3.4.32-2.mga2-1-1.mga2.noarch.rpm
kernel-tmb-source-latest-3.4.32-2.mga2.noarch.rpm
Comment 1 Bill Wilkinson 2013-02-19 20:12:57 CET
x86_64 desktop and laptop downloaded with -devel.
Dkms drivers (nvidia and vmware) appear to compile during install and work properly when booting to 3.4.32 kernel. Boot as normal, no apparent problems so far.
Comment 2 Bill Wilkinson 2013-02-19 22:00:09 CET
Created attachment 3532 [details]
dmesg for kernel-tmb-laptop-3.4.32-2
Comment 3 Bill Wilkinson 2013-02-19 22:00:50 CET
Created attachment 3533 [details]
dmesg for kernel-tmb-server-3.4.32-2
Comment 4 Bill Wilkinson 2013-02-19 22:01:56 CET
x86_64 server tested with dkms drivers (nvidia and vmware) work on boot.  Boot as normal, no apparent problems
Comment 5 David GEIGER 2013-02-21 20:55:17 CET
Testing complete for kernel-tmb-laptop-3.4.32-2 on Mageia release 2 (Official) for x86_64, for me it's Ok nothing to report and works fine.


kernel-userspace-headers-3.4.32-2.mga2
kernel-tmb-laptop-3.4.32-2.mga2-1-1.mga2
kernel-tmb-laptop-devel-latest-3.4.32-2.mga2
kernel-tmb-laptop-devel-3.4.32-2.mga2-1-1.mga2
kernel-doc-3.4.32-2.mga2
kernel-tmb-laptop-latest-3.4.32-2.mga2


Laptop ASUS K73S, Core i3-2350M,2.3GHz_ 8GB RAM
Optimus Technologie, Nvidia GeForce 610M + Intel HD.
Comment 6 Dave Hodgins 2013-02-21 22:51:03 CET
Validating the update. Please push to updates.
Comment 7 Thomas Backlund 2013-02-22 00:48:35 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0067

Note You need to log in before you can comment on or make changes to this bug.